Name:          dogtail
Version:       0.9.10
Release:       2
Summary:       Tools for GUI testing automatically
License:       GPLv2
URL:           https://gitlab.com/dogtail/dogtail/
Source0:       https://gitlab.com/dogtail/dogtail/-/archive/DOGTAIL_0_9_10/dogtail-DOGTAIL_0_9_10.tar.gz
BuildArch:     noarch

BuildRequires: python2-devel python2-setuptools desktop-file-utils

%description
GUI test tool and automation framework that uses assistive technologies to
communicate with desktop applications.
It uses Accessibility (a11y) technologies.

%package -n python2-dogtail
Summary:       GUI test tool and automation framework - python2
Requires:      python2-pyatspi python2-gobject python2-cairo python2-rpm
Requires:      xorg-x11-xinit python2-imaging hicolor-icon-theme
%{?python_provide:%python_provide python2-dogtail}
Provides:      dogtail = %{version}-%{release}
Obsoletes:     dogtail < %{version}-%{release}

%description -n python2-dogtail
GUI test tool and automation framework that uses assistive technologies to
communicate with desktop applications.

%package -n python3-dogtail
Summary:       GUI test tool and automation framework - python3 installation
BuildRequires: python3-devel python3-setuptools
Requires:      python3-pyatspi python3-gobject python3-cairo rpm-python3
Requires:      xorg-x11-xinit hicolor-icon-theme

%description -n python3-dogtail
GUI test tool and automation framework that uses assistive technologies to
communicate with desktop applications.

%prep
%autosetup -n %{name}-DOGTAIL_0_9_10 -p1
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python2} setup.py build
cd  %{py3dir}
%{__python3} setup.py build
cd -

%install
%{__python2} ./setup.py install -O2 --root=$RPM_BUILD_ROOT --record=%{name}.files
rm -rf $RPM_BUILD_ROOT/%{_docdir}/dogtail
rm -rf $RPM_BUILD_ROOT/%{python2_sitelib}/%{name}-%{version}-py%{python2_version}.egg-info

cd  %{py3dir}
%{__python3} ./setup.py install -O2 --root=$RPM_BUILD_ROOT --record=%{name}.files
rm -rf $RPM_BUILD_ROOT/%{_docdir}/dogtail
rm -rf $RPM_BUILD_ROOT/%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
cd -

find examples -type f -exec chmod 0644 \{\} \;
desktop-file-install $RPM_BUILD_ROOT/%{_datadir}/applications/sniff.desktop \
  --dir=$RPM_BUILD_ROOT/%{_datadir}/applications \

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -n python2-dogtail
%{_bindir}/*
%{python2_sitelib}/dogtail/
%{_datadir}/applications/*
%{_datadir}/dogtail/
%{_datadir}/icons/hicolor/*/apps/%{name}*.*
%doc COPYING README NEWS
%doc examples/

%files -n python3-dogtail
%{_bindir}/*
%{python3_sitelib}/dogtail/
%{_datadir}/applications/*
%{_datadir}/dogtail/
%{_datadir}/icons/hicolor/*/apps/%{name}*.*
%doc COPYING README NEWS
%doc examples/

%changelog
* Wed Mar 04 2020 yangjian<yangjian79@huawei.com> - 0.9.10-2
- Package init
